#include <cstdio>
#include <cassert>

#define taskId "trans"

inline int Round(int x, int y) {
    if (x < 0) return 0;
    return x / y + (x % y != 0);
}

int main()
{
    if (taskId != "") {
        freopen(taskId ".in", "rt", stdin);
        freopen(taskId ".out", "wt", stdout);
    }

    int n, B, T;
    scanf("%d%d%d", &n, &B, &T);
    assert(n >= 1 && n <= 100000 && T >= 1 && T < B && B <= 1000);
    int bestTaxi = 0;
    int bestBus = 0;
    if (B*4 > T*50) {               /// one bus is more expensive than 12.5 taxi       
        bestTaxi = Round(n, 4);
        if (B + Round(n - 50, 4)*T < bestTaxi*T) { /// single bus still may be useful
            bestBus = 1;
            bestTaxi = Round(n - 50, 4);
        }
    } else {
        bestBus = n / 50;
        n %= 50;
        bestTaxi = Round(n, 4);
        if (B < T*bestTaxi) {       /// one bus is better than a several taxi for the rest of passengers
            ++bestBus;
            bestTaxi = 0;
        }
    }

    printf("%d %d\n", bestBus, bestTaxi);

    return 0;
}
